Bug 175647 - PUP crashes when processing dependicies
PUP crashes when processing dependicies
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-13 12:36 EST by Don Springall
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-13 22:08:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Springall 2005-12-13 12:36:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051211 Fedora/1.5-1.1 Firefox/1.5

Description of problem:
while running pup It fails giving these errors while processing dependicies:
Traceback (most recent call last):
  File "/usr/share/pup/pup/pup.py", line 569, in _apply
    self._checkDeps()
  File "/usr/share/pup/pup/pup.py", line 873, in _checkDeps
    (result, msgs) = self.buildTransaction()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 360, in buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 254, in resolveDeps
    (checkdep, missing, conflict, errormsgs) = self._processReq(dep)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 385, in _processReq
    requirementTuple, errormsgs)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 518, in _requiringFromInstalled
    needpo = self.getPackageObject(needpkgtup)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 1327, in getPackageObject
    raise Errors.DepError, 'Package tuple %s could not be found in packagesack' % str(pkgtup)
DepError: Package tuple ('libgcj', 'i386', '0', '4.0.2', '6') could not be found in packagesack

/usr/lib/python2.4/site-packages/yum/__init__.py(1327)getPackageObject()
-> raise Errors.DepError, 'Package tuple %s could not be found in packagesack' % str(pkgtup)
(Pdb)


Version-Release number of selected component (if applicable):
pup-0.1.9-1  & yum-2.5.0-0.20051210

How reproducible:
Sometimes

Steps to Reproduce:
1.Select a subset of packages which have dependency problems
2.run update
3.
  

Actual Results:  PUP & yum stalled (went to sleep and stopped using cpu & doing i/o)

Expected Results:  Listed dependency errors

Additional info:
Comment 1 Jeremy Katz 2005-12-13 22:08:28 EST
Yum bug, fixed in CVS and I'll fix it in the 2.5.0-1 package
Comment 2 David Lawrence 2006-06-27 21:37:59 EDT
Moving component to pirut. Sorry for the spam.

Note You need to log in before you can comment on or make changes to this bug.